Subject: Re: bug#2087: 23.0.60; problem with display-buffer and pop-to-buffer
From: martin rudalics <[email-masked]>
To: MJ Chan <[email-masked]>, [email-masked]
Date: Wed, 28 Jan 2009 10:57:20 +0100

> I recently switched to CVS Emacs (of 1/15/2009 version). In
 > this version compilation-goto-locus (in compile.el) and
 > Man-notify-when-ready (in man.el), which are two that I've seen
 > problem so far, called either display-buffer or pop-to-buffer with a
 > non-nil and non-t value of 'other-window' parameter.
 >
 > It appears display-buffer is having a problem with such value. And, as
 > a result, the buffer intended to be popped up does not show.
 >
 > To reproduce this problem, start "runemacs -q" and then M-x man RET
 > procmail RET. The man page will not be displayed (even it has been
 > prepared in a buffer).
 >
 > Please take a look, thanks.
 >
 > ---------------------------------------------------------------
 > In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
 >  of 2009-01-15 on LENNART-69DE564
 > Windowing system distributor `Microsoft Corp.', version 5.1.2600
 > configured using `configure --with-gcc (3.4) --no-opt --cflags -Ic:/g/include -fno-crossjumping'

This is due to a silly variant of `display-buffer' residing in Emacs'
CVS repository from 2009-01-15 07:57:01 until 2009-01-16 16:51:54.
Apparently, your build was drawn from there.  Please try to get a more
recent build.  See also bug#1929 and bug#1930.

Sorry for the inconvenience and thanks for the precise report, martin.